### Enumeration

# AppStream ImageKind

#### Declaration

    enum AppStream.ImageKind

#### Description [src]

The image type.

#### Members

`AS_IMAGE_KIND_UNKNOWN`

  Type invalid or not known.

  - Value: `0`
  - Available since: 1.0
`AS_IMAGE_KIND_SOURCE`

  The source image at full resolution.

  - Value: `1`
  - Available since: 1.0
`AS_IMAGE_KIND_THUMBNAIL`

  A thumbnail at reduced resolution.

  - Value: `2`
  - Available since: 1.0

#### Type functions

###### as_image_kind_from_string

Converts the text representation to an enumerated value.

###### as_image_kind_to_string

Converts the enumerated value to an text representation.